# TCLAP::ArgException Class Reference

A simple class that defines and argument exception. More...

`#include <ArgException.h>`

Inheritance diagram for TCLAP::ArgException:

List of all members.

## Public Member Functions
| ArgException (const std::string &text="undefined exception", const std::string &id="undefined", const std::string &td="Generic ArgException")
| Constructor.
virtual | ~ArgException () throw ()
| Destructor.
std::string | error () const
| Returns the error text.
std::string | argId () const
| Returns the argument id.
const char * | what () const throw ()
| Returns the arg id and error text.
std::string | typeDescription () const
| Returns the type of the exception.

## Detailed Description

A simple class that defines and argument exception.

Should be caught whenever a CmdLine is created and parsed.

Definition at line 36 of file ArgException.h.

## Constructor & Destructor Documentation

TCLAP::ArgException::ArgException | ( | const std::string & | text = `"undefined exception"`,
|  | const std::string & | id = `"undefined"`,
|  | const std::string & | td = `"Generic ArgException"` |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | text | - The text of the exception.
  | id | - The text identifying the argument source.
  | td | - Text describing the type of ArgException it is. of the exception.

Definition at line 47 of file ArgException.h.

virtual TCLAP::ArgException::~ArgException | ( |  | ) | throw ()`[inline, virtual]`

Destructor.

Definition at line 59 of file ArgException.h.

## Member Function Documentation

std::string TCLAP::ArgException::argId | ( |  | ) | const`[inline]`

Returns the argument id.

Definition at line 69 of file ArgException.h.

Referenced by TCLAP::StdOutput::failure().

std::string TCLAP::ArgException::error | ( |  | ) | const`[inline]`

Returns the error text.

Definition at line 64 of file ArgException.h.

Referenced by TCLAP::ValueArg< T >::_extractValue(), TCLAP::MultiArg< T >::_extractValue(), and TCLAP::StdOutput::failure().

std::string TCLAP::ArgException::typeDescription | ( |  | ) | const`[inline]`

Returns the type of the exception.

Used to explain and distinguish between different child exceptions.

Definition at line 91 of file ArgException.h.

const char* TCLAP::ArgException::what | ( |  | ) | const throw ()`[inline]`

Returns the arg id and error text.

Definition at line 80 of file ArgException.h.

Referenced by TCLAP::ZshCompletionOutput::failure(), and TCLAP::DocBookOutput::failure().

The documentation for this class was generated from the following file:

- ArgException.h